* {
  margin: 0;
  padding: 0;
  border: 0;
  outline: 0;
  text-decoration: none;
  list-style: none;
  box-sizing: border-box;
  font-family: Arial, "Helvetica Neue", Helvetica, sans-serif;
}

:root {
  --color-primary: #0d28a6;
  --color-secondary: #5cb85f;
  --color-testimonials: #f1f3ff;
  --color-white: #fff;
  --color-black: #000;
  --color-bg1: #f1f3ff;

  --countainer-width-lg: 80%;
  --countainer-width-md: 90%;
  --countainer-width-sm: 94%;
  --countainer-width-ex: 100%;

  --transition: all 400ms ease;
}

body {
  line-height: 1.7;
  background: var(--color-white);
}

.container {
  margin: 0 auto;
}

section {
  padding: 6rem 0;
}

section h2 {
  text-align: center;
  margin-bottom: 4rem;
}

h1,
h2,
h3,
h4,
h5 {
  line-height: 1.2;
}

.btn {
  transition: var(--transition);
}
/*=======================NAVBAR=======================*/
nav {
  width: var(--countainer-width-ex);
  height: 5rem;
  position: fixed;
  top: 0;
  z-index: 11;
  margin-left: 0;
  margin-right: 0;
}

.nav__box {
  background: blue;
  width: 4rem;
  height: 2rem;
}

.nav__container {
  height: 100%;
  width: 100%;
  display: flex;
  justify-content: space-between;
  align-items: center;
  background: var(--color-bg1);
  padding-right: 10%;
  padding-left: 10%;
}

nav button {
  display: none;
}

.nav__menu {
  display: flex;
  gap: 2rem;
  color: var(--color-black);
}
.nav__menu a {
  color: var(--color-black);
}
.nav__menu #register__button {
  color: var(--color-white);
}

.register-btn {
  background: var(--color-secondary);
  padding: 0.6rem 1.5rem;
  color: var(--color-white);
  font-weight: bold;
}
.btn:hover {
  background: transparent;
  border-color: var(--color-white);
  color: var(--color-secondary);
}

/*========================================HEADER========================================*/
header {
  position: relative;
  top: 5rem;
  overflow: hidden;
  height: 70vh;
  margin-bottom: 5rem;
  background: var(--color-bg1);
}

.header__container {
  display: grid;
  grid-template-columns: 1fr 1fr;
  align-items: center;
  gap: 5rem;
  height: 100%;
}

.header__left {
  margin: 1rem 2rem 2.4rem;
}

.header__left h1 {
  margin-bottom: 2rem;
}

.header__left p {
  margin-bottom: 2rem;
}
.header__right {
  padding: 0;
}
.header__right img {
  width: 100%;
  height: 100%;
  display: block;
  object-fit: cover;
  margin: 0;
  padding: 0;
}
.btn-primary {
  background: var(--color-secondary);
  padding: 1rem;
  color: var(--color-white);
  margin-top: 2rem;
  font-weight: bold;
}

/*============================ END OF HEADER ============================*/
.categories {
  background: var(--color-white);
  width: var(--countainer-width-lg);
  margin: auto;
  display: flex;
  flex-wrap: wrap;
}

.categories h1 {
  line-height: 1;
  margin-bottom: 3rem;
}

.categories__container {
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 4rem;
}

.categories__left img {
  margin-left: 9rem;
}

.categories__right p {
  margin-bottom: 2rem;
}

li {
  display: flex;
  margin-bottom: 1rem;
}

li img {
  margin-right: 2rem;
}

/*================================== END OF CATEGORIES ==================================*/
.categories h2 {
  font-weight: bold;
  display: flex;
  margin-bottom: 1rem;
}
.faq__item {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr 1fr;
  gap: 2rem;
}

.categories article {
  margin-top: 2rem;
}

.categories h5 {
  margin-top: 1rem;
  margin-bottom: 1rem;
}

.faq {
  background: var(--color-bg1);
  padding: 2rem;
  border-radius: 2rem;
  transition: var(--transition);
  cursor: pointer;
}

.faq:hover {
  box-shadow: 0 3rem 3rem rgba(0, 0, 0, 0.3);
  z-index: 1;
}

.faqs__icon {
  padding: 0.5rem;
  border-radius: 3rem;
  color: var(--color-white);
}

.faq:first-child .faqs__icon {
  background: #f9cc00;
}

.faq:nth-child(2) .faqs__icon {
  background: #fa2c5a;
}

.faq:nth-child(3) .faqs__icon {
  background: #0d28a6;
}

.faq:nth-child(4) .faqs__icon {
  background: #5cb85f;
}

/*============================= TESTIMONIALS =============================*/
.testimonials__container {
  position: relative;
  margin-bottom: 5rem;
  overflow-x: hidden;
}

.testimonials__container h2,
p {
  display: flex;
  justify-content: center;
}
.testimonial {
  padding-top: 2rem;
  display: flex;
  justify-content: center;
}

.avatar {
  width: 6rem;
  height: 6rem;
  border-radius: 50%;
  overflow: hidden;
  margin: 0 auto 1rem;
  border: 1rem solid var(--color-bg1);
  display: flex;
}

.testimonial__body {
  background: var(--color-bg1);
  padding: 2rem;
  margin-top: 2rem;
  position: relative;
  border-radius: 2rem;
  width: 60rem;
}

.testimonial img {
  object-fit: cover;
}

.testimonials__icon {
  color: #f9cc00;
}

/*===================== END OF TESTIMONIALS ===================== */

.rent__container {
  display: flex;
  justify-content: center;
  flex-direction: column;
  align-items: center;
  gap: 3rem;
  background: var(--color-primary);
  color: var(--color-white);
  margin-top: 1rem;
  padding-bottom: 3rem;
  border-radius: 1.5rem;
}
.rent__container p {
  width: 70rem;
  text-align: center;
}
.rent__container a {
  color: var(--color-white);
}
.rent__btn {
  background: var(--color-secondary);
  padding: 0.8rem;
  margin-bottom: 1rem;
}

/*================================== END OF RENT CONTENT ==================================*/
.real__faq {
  display: grid;
  grid-template-columns: 40% 60%;
}

.faq__left h2 {
  margin-left: 2rem;
}

.faq__right {
}

.faqs {
  padding: 0.7rem;
  display: flex;
  align-items: center;
  gap: 1.4rem;
  height: fit-content;
  background: var(--color-bg1);
  cursor: pointer;
}

.faqs h5 {
  font-size: 1rem;
  line-height: 2.2;
}

.faq__icon {
  align-self: flex-start;
  font-size: 1.2 rem;
}

.faqs p {
  margin-top: 0.8rem;
  display: none;
}

.faqs.open p {
  display: block;
}

/*=========================== END OF FAQs ===========================*/
footer {
  background: var(--color-bg1);
  padding-top: 5rem;
  font-size: 0.9rem;
}

.footer__container {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  gap: 4rem;
}

.footer__container > div h4 {
  margin-bottom: 1.2rem;
}

.footer__1 p {
  margin: 1rem 0 1.5rem;
  display: flex;
  justify-content: start;
}
.footer__3 p {
  display: flex;
  justify-content: start;
}

.footer__4 p {
  justify-content: start;
}
footer ul li {
  margin-bottom: 0.7rem;
}

footer ul li a:hover {
  text-decoration: underline;
}

.footer__social {
  display: flex;
  gap: 1rem;
  font-size: 1.2rem;
  margin-top: 2rem;
}

.footer__copyright {
  text-align: center;
  margin-top: 4rem;
  padding: 1.2rem 0;
  border-top: 1px solid var(--color-bg2);
}

.box__copy {
  width: 4.5rem;
  height: 2rem;
  background: var(--color-primary);
  display: flex;
  justify-content: center;
}

@media screen and (max-width: 1024px) {
  .container {
    width: var(--countainer-width-md);
  }

  h1 {
    font-size: 2.2rem;
  }

  h2 {
    font-size: 1.7rem;
  }

  h3 {
    font-size: 1.4rem;
  }

  h4 {
    font-size: 1.2rem;
  }

  .nav button {
    display: inline-block;
    background: transparent;
    font-size: 1.8rem;
    cursor: pointer;
    color: var(--color-white);
  }

  /**/
}
/*=================================================MEDIA QUARIES=======================================================*/
@media screen and (max-width: 600px) {
  .container {
    width: var(--countainer-width-sm);
  }

  /*=====================================================NAVBAR===========================================*/
  .nav__menu {
    display: none;
  }
  .register-btn {
    display: none;
  }

  /*================================================HEADER====================================================*/
  header {
    height: 100vh;
    gap: 0;
  }
  .header__container {
    display: grid;
    grid-template-columns: 1fr;
    margin-bottom: 2rem;
    position: relative;
  }
  /*===============================================CATEGORIES==================================================*/
  .categories__container {
    display: grid;
    grid-template-columns: 1fr;
    width: 10rem;
    margin-top: 2rem;
    margin-left: 0;
    position: relative;
    width: 320px;
  }
  .categories__container img {
    margin: 0;
    object-fit: cover;
  }
  /*======================FAQ ITEMS=========================*/
  .faq__item {
    display: grid;
    grid-template-columns: 1fr;
  }
  .real__faq {
    display: grid;
    grid-template-columns: 1fr;
  }
  .footer__container {
    display: grid;
    grid-template-columns: 1fr;
  }
}
